[coreboot] New patch to review for coreboot: 316cb15 lint: Add test that fails on platform_cfg.h

Patrick Georgi (patrick@georgi-clan.de) gerrit at coreboot.org
Fri Apr 20 23:40:44 CEST 2012


Patrick Georgi (patrick at georgi-clan.de) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/911

-gerrit

commit 316cb1576fcd474a59e6b096a30a0296cfefc6d3
Author: Patrick Georgi <patrick at georgi-clan.de>
Date:   Fri Apr 20 23:39:38 2012 +0200

    lint: Add test that fails on platform_cfg.h
    
    AMD introduced a new (for us) configuration system with AGESA
    using per-mainboard platform_cfg.h files. Their content should
    be modelled in Kconfig and/or Makefile.inc as appropriate.
    
    Change-Id: I0032c69820733a53c9ce208aa6505ecbe2f7c558
    Signed-off-by: Patrick Georgi <patrick at georgi-clan.de>
---
 util/lint/lint-005-no-more-platform_cfg |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

diff --git a/util/lint/lint-005-no-more-platform_cfg b/util/lint/lint-005-no-more-platform_cfg
new file mode 100755
index 0000000..0a6d8c1
--- /dev/null
+++ b/util/lint/lint-005-no-more-platform_cfg
@@ -0,0 +1,26 @@
+#!/bin/sh
+# This file is part of the coreboot project.
+#
+# Copyright (C) 2012 Patrick Georgi <patrick at georgi-clan.de>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# DESCR: Check that AMD boards stick to our configuration mechanism
+
+if [ `ls src/mainboard/*/*/platform_cfg.h |wc -l` -gt 0 ]; then
+	ls src/mainboard/*/*/platform_cfg.h
+	exit 1
+fi
+
+exit 0




More information about the coreboot mailing list